OpenAFP-1.3.2: IBM AFP document format parser and generator

Portability | non-portable (GHC-only)
Stability | experimental
Maintainer | audreyt@audreyt.org
Safe Haskell | None

OpenAFP.Types

Description

This module imports and re-exports the fundamental types in the OpenAFP framework: Buffer, Chunk and Record.

# Documentation

module OpenAFP.Types.Buffer

module OpenAFP.Types.Chunk

module OpenAFP.Types.Record

module OpenAFP.Types.View

data T_

Constructors

T_ !N1 !Buffer1 |

Instances

Show T_ |
Typeable T_ |
Binary T_ |
Rec T_ |
Chunk T_ |

viewChunks :: Chunk a => [a] -> ViewContent

viewData :: Rec a => [a] -> ViewContent

viewNumber :: (Enum a, Typeable a) => a -> ViewContent

viewString :: (Integral a, Typeable a, Storable a, Bits a) => a -> ViewContent

viewNStr :: Buf a => a -> ViewContent

viewAStr :: Buf a => a -> ViewContent

viewField :: String -> ViewContent -> ViewField

viewRecord :: RecordType -> [ViewField] -> ViewRecord